"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "CollapseItem",
  props: {
    name: {
      type: String,
      required: true
    },
    expanded: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  setup(__props) {
    const click = (e) => {
      e.preventDefault();
      e.stopPropagation();
    };
    return (_ctx, _cache) => {
      const _component_n_divider = runtimeCore_esmBundler.resolveComponent("n-divider");
      const _component_n_collapse_item = runtimeCore_esmBundler.resolveComponent("n-collapse-item");
      const _component_n_collapse = runtimeCore_esmBundler.resolveComponent("n-collapse");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(_component_n_divider, { style: { "margin": "10px 0" } }),
        runtimeCore_esmBundler.createVNode(_component_n_collapse, {
          "arrow-placement": "right",
          "default-expanded-names": __props.expanded ? __props.name : null,
          accordion: ""
        }, {
          "header-extra": runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createElementVNode("div", { onClick: click }, [
              runtimeCore_esmBundler.renderSlot(_ctx.$slots, "header")
            ])
          ]),
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
              title: __props.name,
              name: __props.name
            }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.renderSlot(_ctx.$slots, "default")
              ]),
              _: 3
            }, 8, ["title", "name"])
          ]),
          _: 3
        }, 8, ["default-expanded-names"])
      ], 64);
    };
  }
});
exports.default = _sfc_main;
